Loading...
Searching...
No Matches
Dune::Amg::ConstructionTraits< Opm::ParallelRestrictedOverlappingSchwarz< Range, Domain, ParallelInfo, SeqPreconditioner > > Struct Template Reference

Tells AMG how to construct the Opm::ParallelOverlappingILU0 smoother. More...

`#include <ParallelRestrictedAdditiveSchwarz.hpp>`

## Public Types

typedef DefaultParallelConstructionArgs< SeqPreconditioner, ParallelInfo > | Arguments
typedef ConstructionTraits< SeqPreconditioner > | SeqConstructionTraits
typedef std::shared_ptr< Opm::ParallelRestrictedOverlappingSchwarz< Range, Domain, ParallelInfo, SeqPreconditioner > > | ParallelRestrictedOverlappingSchwarzPointer
| Construct a parallel restricted overlapping schwarz preconditioner.

## Static Public Member Functions

static ParallelRestrictedOverlappingSchwarzPointer | construct (Arguments &args)
static void | deconstruct (Opm::ParallelRestrictedOverlappingSchwarz< Range, Domain, ParallelInfo, SeqPreconditioner > *bp)
| Deconstruct and free a parallel restricted overlapping schwarz preconditioner.

## Detailed Description

template<class Range, class Domain, class ParallelInfo, class SeqPreconditioner>
struct Dune::Amg::ConstructionTraits< Opm::ParallelRestrictedOverlappingSchwarz< Range, Domain, ParallelInfo, SeqPreconditioner > >

Tells AMG how to construct the Opm::ParallelOverlappingILU0 smoother.

Template Parameters

  Domain | The type of the Vector representing the domain.
  Range | The type of the Vector representing the range.
  ParallelInfo | The type of the parallel information object used, e.g. Dune::OwnerOverlapCommunication
  SeqPreconditioner | The underlying sequential preconditioner to use.

The documentation for this struct was generated from the following file:

- opm/simulators/linalg/ParallelRestrictedAdditiveSchwarz.hpp